/*--------------------------------------------------------------
# Product Section
--------------------------------------------------------------*/
.products .nav-tabs {
    border-bottom: 1px solid var(--accent-color);
    color: var(--accent-color);
}

.products .nav-tabs .nav-link.active {
    border-color: var(--accent-color) var(--accent-color) white;
    background-color: color-mix(in srgb, var(--accent-color), transparent 92%);
    color: var(--accent-color)
}

.products .nav-tabs .nav-link {
    color: var(--nav-color)
}

.carousel {
    background-color: color-mix(in srgb, var(--accent-color), white 96%);

}

.custom-carousel-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    border: none;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10;
    transition: background-color 0.3s ease;
    color: var(--background-color);
}

.custom-carousel-arrow i {
    font-size: 1.5rem;
}

.products .product-item {
    background-color: var(--surface-color);
    padding: 10px 10px 0px 10px;
    transition: all ease-in-out 0.3s;
    border-radius: 18px;
    border-bottom: 5px solid var(--surface-color);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    /* Osigurajte da proizvod ne prelazi širu od kolone */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.products .product-item .image {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 180px;
    /* ili koliko želiš da bude visina image kontejnera */
}

.products .product-item .image img {
    border-radius: 5px;
    height: 180px;
}

.products .product-item .price .old-price {
    font-size: 0.9em;
    opacity: 0.6;
    text-decoration: line-through;
    padding: 0;
    margin: 0;
}

.products .product-item .price .active-price {
    font-size: 1.3em;
    font-weight: bold;
    margin: 0;
    padding: 0;
}

.products .product-item .price .discount-price {
    font-size: 1.3em;
    color: var(--danger-color);
    font-weight: bold;
    margin: 0;
    padding: 0;
}

.products .product-item h3 {
    font-size: 1.3em;
    font-weight: 700;
    margin: 10px 0px;
    text-align: center;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.products .product-item .btn {
    background-color: var(--accent-color);
    color: var(--contrast-color);
    padding: 5px 15px;
    border: none;
    border-radius: 4px;
    text-transform: uppercase;
    box-shadow: -2px 2px 4px var(--default-color);
}

.product-item .description {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.4;
    min-height: 2.8em;
    margin: 0;
}

.products .badge-discount {
    position: absolute;
    right: 10px;
    background-color: var(--danger-color);
    color: var(--contrast-color);
    padding: 6px 12px;
    font-size: 15px;
    font-weight: bold;
    border-radius: 5px;
    z-index: 10;
    box-shadow: -2px 2px 4px var(--default-color);
}

.products .badge-unavailable {
    position: absolute;
    right: 10px;
    background-color:  #7d7d7d;  
    color: var(--contrast-color);
    padding: 6px 12px;
    font-size: 15px;
    font-weight: bold;
    border-radius: 5px;
    z-index: 10;
    box-shadow: -2px 2px 4px var(--default-color);
}

.products .category-badge {
    display: inline-block;
    background-color: color-mix(in srgb, var(--accent-color), transparent 90%);
    color: var(--accent-color);
    font-size: 13px;
    font-weight: 500;
    padding: 4px 10px;
    border-radius: 20px;
    margin: 6px;
    max-width: max-content;
}

@media (min-width: 1365px) {
    .products .product-item:hover {
        transform: translateY(-10px);
        border-color: var(--accent-color);
    }

    .products .product-item:hover h3 {
        color: var(--accent-color);
    }
}

@media (min-width: 1400px) {
    .col-xl-5th {
        flex: 0 0 auto;
        width: 20%;
    }
}

@media (max-width:500px) {
    .products .product-item {
        width: 260px;
        margin: 0 1px;
    }

    .products .product-item .image {
        height:240px;
    }

    .products .product-item .image img {
        height: 240px;
    }


}
.product-card-mobile image img {
        border-radius: 5px;
        height: 240px;
    }

.product-scroll-wrapper {
    margin-top: 1rem;
    margin-bottom: 2rem;
}

.scroll-row {
    -ms-overflow-style: none;
    scrollbar-width: none;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-padding: 1rem;
    padding-bottom: 10px;
}

.scroll-row::-webkit-scrollbar {
    display: none;
}

.product-card-mobile {
    scroll-snap-align: start;
}

/*nav*/
.nav-tabs-wrapper::-webkit-scrollbar {
    height: 6px;
}

.nav-tabs-wrapper::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 4px;
}

.nav-tabs-wrapper {
    -ms-overflow-style: none;
    scrollbar-width: thin;
}